"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RestClient_1 = require("../core/HTTP/RestClient");
const Workspace_1 = require("../core/Workspace");
const ora = require("ora");
const helpers_1 = require("../helpers");
exports.default = async (args) => {
    let workspace;
    let client;
    try {
        workspace = await Workspace_1.default.init(args.workspace, args.disableSSLVerification);
    }
    catch (e) {
        return helpers_1.MissingWorkspaceError(args.workspace);
    }
    let spinner = ora({
        prefixText: `Enabling ${workspace.name} Portal...`,
    });
    spinner.start();
    try {
        client = new RestClient_1.default(workspace.config, workspace.name);
        await client.disablePortal();
        spinner.prefixText = `\t`;
        spinner.text = `'${workspace.name}' Portal Disabled`;
        spinner.succeed();
    }
    catch (e) {
        console.log(e);
        spinner.fail(e.message);
    }
};
