"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const upath_1 = require("upath");
const File_1 = require("../core/File");
const cliConf = `# Kong Admin URL
# @required
kong_admin_url: http://localhost:8001

# Kong Admin Token
# @optional
kong_admin_token: ''`;
exports.default = async (args) => {
    let path = upath_1.join('workspaces', args.workspace);
    await fs.ensureDir(path);
    let file = new File_1.default(upath_1.join(path, 'cli.conf.yaml'), path);
    if (await file.exists()) {
        console.log("cli.conf.yaml already exist in workspace '" + args.workspace + "'");
    }
    else {
        file.write(cliConf);
        console.log('');
        console.log("Workspace '" + args.workspace + "' initialized.");
    }
};
